#pragma once

#include "AbstractUiInterface.h"
#include "DesktopManager.h"
#include "FontsManager.h"

class NullUIInterface : public AbstractUIInterface
{
public:

    NullUIInterface(DesktopManager* desktopManager, bool useHardware = false)
        : AbstractUIInterface(desktopManager, useHardware)
    {
    };

    virtual ~NullUIInterface() = default;

    void loop() override{};

    void showWindow(mt::Window*) override{};

    void addWindow(mt::Window*) override{};

protected:
    void initialize() override{};
    void shutDown() override{};
};
